init_output_sstream
3

# init_output_sstream

initializes serialization stream for output

    #include <cds/serialize.h>

      int init_output_sstream
      sstream_t *ss
      int out_buff_resize

## Description

Initializes given serialization stream for output. Parameter `out_buff_resize` is stored into sstream_t structure and specifies the size of newly allocated data buffers. Data buffers are allocated when needed during output.

## Return value

Returns 0 on success, non-zero on error.

## See Also

,